Package com.databricks.jdbc.client.impl.thrift.generated

## Class TStringColumn

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TStringColumn

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TStringColumn>`, `org.apache.thrift.TBase<TStringColumn,​TStringColumn._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TStringColumn
    extends Object
    implements org.apache.thrift.TBase<TStringColumn,​TStringColumn._Fields>, Serializable, Cloneable, Comparable<TStringColumn>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TStringColumn._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TStringColumn._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`ByteBuffer` `nulls`
`List<String>` `values`

### Constructor Summary

Constructors
`TStringColumn()`
`TStringColumn​(TStringColumn other)` Performs a deep copy on other.
`TStringColumn​(List<String> values, ByteBuffer nulls)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToValues​(String elem)`
`ByteBuffer` `bufferForNulls()`
`void` `clear()`
`int` `compareTo​(TStringColumn other)`
`TStringColumn` `deepCopy()`
`boolean` `equals​(TStringColumn that)`
`boolean` `equals​(Object that)`
`TStringColumn._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TStringColumn._Fields field)`
`byte[]` `getNulls()`
`List<String>` `getValues()`
`Iterator<String>` `getValuesIterator()`
`int` `getValuesSize()`
`int` `hashCode()`
`boolean` `isSet​(TStringColumn._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetNulls()` Returns true if field nulls is set (has been assigned a value) and false otherwise
`boolean` `isSetValues()` Returns true if field values is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TStringColumn._Fields field, Object value)`
`TStringColumn` `setNulls​(byte[] nulls)`
`TStringColumn` `setNulls​(ByteBuffer nulls)`
`void` `setNullsIsSet​(boolean value)`
`TStringColumn` `setValues​(List<String> values)`
`void` `setValuesIsSet​(boolean value)`
`String` `toString()`
`void` `unsetNulls()`
`void` `unsetValues()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### values

    public List<String> values

#### nulls

    public ByteBuffer nulls

#### metaDataMap

    public static final Map<TStringColumn._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TStringColumn

    public TStringColumn()

#### TStringColumn

    public TStringColumn​(List<String> values,
                         ByteBuffer nulls)

#### TStringColumn

    public TStringColumn​(TStringColumn other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TStringColumn deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TStringColumn,​TStringColumn._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TStringColumn,​TStringColumn._Fields>`

#### getValuesSize

    public int getValuesSize()

#### getValuesIterator

    public Iterator<String> getValuesIterator()

#### addToValues

    public void addToValues​(String elem)

#### getValues

    public List<String> getValues()

#### setValues

    public TStringColumn setValues​(List<String> values)

#### unsetValues

    public void unsetValues()

#### isSetValues

    public boolean isSetValues()

Returns true if field values is set (has been assigned a value) and false otherwise

#### setValuesIsSet

    public void setValuesIsSet​(boolean value)

#### getNulls

    public byte[] getNulls()

#### bufferForNulls

    public ByteBuffer bufferForNulls()

#### setNulls

    public TStringColumn setNulls​(byte[] nulls)

#### setNulls

    public TStringColumn setNulls​(ByteBuffer nulls)

#### unsetNulls

    public void unsetNulls()

#### isSetNulls

    public boolean isSetNulls()

Returns true if field nulls is set (has been assigned a value) and false otherwise

#### setNullsIsSet

    public void setNullsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TStringColumn._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TStringColumn,​TStringColumn._Fields>`

#### getFieldValue

    public Object getFieldValue​(TStringColumn._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TStringColumn,​TStringColumn._Fields>`

#### isSet

    public boolean isSet​(TStringColumn._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TStringColumn,​TStringColumn._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TStringColumn that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TStringColumn other)

Specified by:
  `compareTo` in interface `Comparable<TStringColumn>`

#### fieldForId

    public TStringColumn._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TStringColumn,​TStringColumn._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`